<!doctype html>
<html lang="es_ES" xmlns:th="http://www.thymeleaf.org">
<head th:replace="plantillas/general :: head"></head>
<body>
    <header th:replace="plantillas/general :: header"></header>
    <div class="container">
      <h1 th:text="${titulo}"></h1>

      <form th:action="@{/nuevacategoria}"  th:object="${categoria}" method="POST" >
          <div class="form-group row">
              <label class="col-sm-2 col-form-label">Categoria</label>
              <div class="col-sm-6">
                  <input type="text" class="form-control" th:field="*{categoria}">
              </div>
              <div th:if="${#fields.hasErrors('categoria')}" th:errors="*{categoria}"></div>
          </div>
          <div class="form-group row">
              <label class="col-sm-2 col-form-label">Codígo</label>
              <div class="col-sm-6">
                  <input type="text" class="form-control" th:field="*{codCategoria}">
              </div>
              <div th:if="${#fields.hasErrors('codCategoria')}" th:errors="*{codCategoria}"></div>
          </div>
          <div class="form-group row">
              <div class="col-sm-6">
                  <input type="submit" value="Guardar datos" class="btn btn-primary" />
              </div>
          </div>
      </form>
    </div>

    <footer th:replace="plantillas/general :: footer"></footer>
<!-- Optional JavaScript; choose one of the two! -->
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"
        integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js"
        integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF"
        crossorigin="anonymous"></script>
</body>
</html>